cascading.flow.stream.duct

## Class OrdinalDuct<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.OrdinalDuct<Incoming,Outgoing>

-     public class OrdinalDuct<Incoming,Outgoing>
      extends Duct<Incoming,Outgoing>

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdinalDuct(Duct next, int ordinal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receive(Duct previous, int ordinal, Incoming incoming)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrdinalDuct

          public OrdinalDuct(Duct next,
                     int ordinal)

  - ### Method Detail

    - #### receive

          public void receive(Duct previous,
                     int ordinal,
                     Incoming incoming)

      Specified by:
        `receive` in class `Duct<Incoming,Outgoing>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Duct<Incoming,Outgoing>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.